ADSentenceStream.SentenceParser.Leaf (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.ad

## Class ADSentenceStream.SentenceParser.Leaf

- java.lang.Object
- - opennlp.tools.formats.ad.ADSentenceStream.SentenceParser.TreeElement
  - - opennlp.tools.formats.ad.ADSentenceStream.SentenceParser.Leaf

- Enclosing class:
    ADSentenceStream.SentenceParser

      public class ADSentenceStream.SentenceParser.Leaf
      extends ADSentenceStream.SentenceParser.TreeElement

  Represents the AD leaf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leaf()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunctionalTag()`
    `String` | `getLemma()`
    `String` | `getLexeme()`
    `String` | `getSecondaryTag()`
    `boolean` | `isLeaf()`
    `void` | `setFunctionalTag(String funcTag)`
    `void` | `setLemma(String lemma)`
    `void` | `setLexeme(String lexeme)`
    `void` | `setSecondaryTag(String secondaryTag)`
    `String` | `toString()`

    - ### Methods inherited from class opennlp.tools.formats.ad.ADSentenceStream.SentenceParser.TreeElement

      `getLevel, getMorphologicalTag, getSyntacticTag, setLevel, setMorphologicalTag, setSyntacticTag`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Leaf

          public Leaf()

  - ### Method Detail

    - #### isLeaf

          public boolean isLeaf()

      Overrides:
        `isLeaf` in class `ADSentenceStream.SentenceParser.TreeElement`

    - #### setFunctionalTag

          public void setFunctionalTag(String funcTag)

    - #### getFunctionalTag

          public String getFunctionalTag()

    - #### setSecondaryTag

          public void setSecondaryTag(String secondaryTag)

    - #### getSecondaryTag

          public String getSecondaryTag()

    - #### setLexeme

          public void setLexeme(String lexeme)

    - #### getLexeme

          public String getLexeme()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setLemma

          public void setLemma(String lemma)

    - #### getLemma

          public String getLemma()

Copyright © 2026 The Apache Software Foundation. All rights reserved.